package com.chenyang.nse.bussiness.webtools.entity.vo;

import java.util.Date;

public class DatasystemVO {
   private String sequencename;
   private String synonymname;
   private String viewname;
   private String dataSystemId;
   private String schema;
   private String dbtype;
   private String dbip;
   private String dbport;
   private String dbservername;
   private String servername;
   private String username;
   private String password;
   private Date createtime;
   private String sysname;
   private String dbschema;
   private String parentid;
   private String inengine;
   private String pagecode;
   private String connectip;
   private String connectname;
   private String dblinkname;
   private String localdir;
   private String connectmode;
   private String istargetdb;
   private String iskerberos;
   private String principal;
   private String loginprincipal;
   private String keytab;
   private String xmlpath;
   private String version;
   private String javacode;
   private String fingerprint;
   private String controlledassetid;
   private String projectid;
   private String datasystemid;
   private String plaintext;
   private String desensitize;
   private String ischarset;
   private String versionname;
   private String issysdba;
   private String createuser;
   private String iconCls;

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getPlaintext() {
      return this.plaintext;
   }

   public void setPlaintext(String plaintext) {
      this.plaintext = plaintext;
   }

   public String getDesensitize() {
      return this.desensitize;
   }

   public void setDesensitize(String desensitize) {
      this.desensitize = desensitize;
   }

   public String getControlledassetid() {
      return this.controlledassetid;
   }

   public void setControlledassetid(String controlledassetid) {
      this.controlledassetid = controlledassetid;
   }

   public String getXmlpath() {
      return this.xmlpath;
   }

   public void setXmlpath(String xmlpath) {
      this.xmlpath = xmlpath;
   }

   public String getVersionname() {
      return this.versionname;
   }

   public void setVersionname(String versionname) {
      this.versionname = versionname;
   }

   public String getIscharset() {
      return this.ischarset;
   }

   public void setIscharset(String ischarset) {
      this.ischarset = ischarset;
   }

   public String getIskerberos() {
      return this.iskerberos;
   }

   public void setIskerberos(String iskerberos) {
      this.iskerberos = iskerberos;
   }

   public String getPrincipal() {
      return this.principal;
   }

   public void setPrincipal(String principal) {
      this.principal = principal;
   }

   public String getLoginprincipal() {
      return this.loginprincipal;
   }

   public void setLoginprincipal(String loginprincipal) {
      this.loginprincipal = loginprincipal;
   }

   public String getKeytab() {
      return this.keytab;
   }

   public void setKeytab(String keytab) {
      this.keytab = keytab;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public String getIstargetdb() {
      return this.istargetdb;
   }

   public void setIstargetdb(String istargetdb) {
      this.istargetdb = istargetdb;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getDbip() {
      return this.dbip;
   }

   public void setDbip(String dbip) {
      this.dbip = dbip;
   }

   public String getDbport() {
      return this.dbport;
   }

   public void setDbport(String dbport) {
      this.dbport = dbport;
   }

   public String getDbservername() {
      return this.dbservername;
   }

   public void setDbservername(String dbservername) {
      this.dbservername = dbservername;
   }

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getSysname() {
      return this.sysname;
   }

   public void setSysname(String sysname) {
      this.sysname = sysname;
   }

   public String getDbschema() {
      return this.dbschema;
   }

   public void setDbschema(String dbschema) {
      this.dbschema = dbschema;
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid;
   }

   public String getInengine() {
      return this.inengine;
   }

   public void setInengine(String inengine) {
      this.inengine = inengine;
   }

   public String getPagecode() {
      return this.pagecode;
   }

   public void setPagecode(String pagecode) {
      this.pagecode = pagecode;
   }

   public String getConnectip() {
      return this.connectip;
   }

   public void setConnectip(String connectip) {
      this.connectip = connectip;
   }

   public String getConnectname() {
      return this.connectname;
   }

   public void setConnectname(String connectname) {
      this.connectname = connectname;
   }

   public String getDblinkname() {
      return this.dblinkname;
   }

   public void setDblinkname(String dblinkname) {
      this.dblinkname = dblinkname;
   }

   public String getLocaldir() {
      return this.localdir;
   }

   public void setLocaldir(String localdir) {
      this.localdir = localdir;
   }

   public String getIconCls() {
      return this.iconCls;
   }

   public void setIconCls(String iconCls) {
      this.iconCls = iconCls;
   }

   public String getConnectmode() {
      return this.connectmode;
   }

   public void setConnectmode(String connectmode) {
      this.connectmode = connectmode;
   }

   public String getIssysdba() {
      return this.issysdba;
   }

   public void setIssysdba(String issysdba) {
      this.issysdba = issysdba;
   }

   public String getVersion() {
      return this.version;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.connectip == null ? 0 : this.connectip.hashCode());
      result = 31 * result + (this.connectname == null ? 0 : this.connectname.hashCode());
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.dbip == null ? 0 : this.dbip.hashCode());
      result = 31 * result + (this.dblinkname == null ? 0 : this.dblinkname.hashCode());
      result = 31 * result + (this.dbport == null ? 0 : this.dbport.hashCode());
      result = 31 * result + (this.dbschema == null ? 0 : this.dbschema.hashCode());
      result = 31 * result + (this.dbservername == null ? 0 : this.dbservername.hashCode());
      result = 31 * result + (this.dbtype == null ? 0 : this.dbtype.hashCode());
      result = 31 * result + (this.iconCls == null ? 0 : this.iconCls.hashCode());
      result = 31 * result + (this.inengine == null ? 0 : this.inengine.hashCode());
      result = 31 * result + (this.localdir == null ? 0 : this.localdir.hashCode());
      result = 31 * result + (this.pagecode == null ? 0 : this.pagecode.hashCode());
      result = 31 * result + (this.parentid == null ? 0 : this.parentid.hashCode());
      result = 31 * result + (this.password == null ? 0 : this.password.hashCode());
      result = 31 * result + (this.servername == null ? 0 : this.servername.hashCode());
      result = 31 * result + (this.sysname == null ? 0 : this.sysname.hashCode());
      result = 31 * result + (this.username == null ? 0 : this.username.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreDatasystem [dbtype=" + this.dbtype + ", dbip=" + this.dbip + ", dbport=" + this.dbport + ", dbservername=" + this.dbservername + ", servername=" + this.servername + ", username=" + this.username + ", password=" + this.password + ", createtime=" + this.createtime + ", sysname=" + this.sysname + ", dbschema=" + this.dbschema + ", parentid=" + this.parentid + ", inengine=" + this.inengine + ", pagecode=" + this.pagecode + ", connectip=" + this.connectip + ", connectname=" + this.connectname + ", dblinkname=" + this.dblinkname + ", localdir=" + this.localdir + ", iconCls=" + this.iconCls + "]";
   }

   public String getJavacode() {
      return this.javacode;
   }

   public void setJavacode(String javacode) {
      this.javacode = javacode;
   }

   public void setFingerprint(String fingerprint) {
      this.fingerprint = fingerprint;
   }

   public String getFingerprint() {
      return this.fingerprint;
   }

   public String getSequencename() {
      return this.sequencename;
   }

   public void setSequencename(String sequencename) {
      this.sequencename = sequencename;
   }

   public String getSynonymname() {
      return this.synonymname;
   }

   public void setSynonymname(String synonymname) {
      this.synonymname = synonymname;
   }

   public String getViewname() {
      return this.viewname;
   }

   public void setViewname(String viewname) {
      this.viewname = viewname;
   }
}
